> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# direction

> Document and Task directions - TaskDirection.Incoming, Outgoing

## "direction" MDO List

Document and Task directions: TaskDirection.Incoming, Outgoing

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DirectionProvider">DirectionProvider</see> class.
The name of the MDO list is 'direction'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/direction
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("direction", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 1  | Incoming |           |           |
| 2  | Outgoing |           |           |

## Related MDO Lists

* "directionheadings"
* "directionheadingswithallitem"
* "directionheadingswithallitemwithnoselection"
* "directionheadingswithnoselection"
* "directionwithallitem"
* "directionwithallitemwithnoselection"
* "directionwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ArchiveOrderByInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.ArchiveOrderByInfo.md)
- [SuperOffice.WebApi.Data.TaskListItem](/en/api/reference/webapi/SuperOffice.WebApi.Data.TaskListItem.md)
- [SuperOffice.WebApi.Data.DocumentTemplate](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentTemplate.md)
- [SuperOffice.WebApi.Data.DocumentTemplateEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentTemplateEntity.md)
- [Enum TaskDirection](/en/automation/crmscript/reference/CRMScript.NetServer.TaskDirection.md)
- [Enum DocTmplDirection](/en/automation/crmscript/reference/CRMScript.NetServer.DocTmplDirection.md)
